=== doc/examples/Makefile ===
all:
	pweave index.rstw
	rm -f *.out
	rm -f *.log
	rm -f *.aux
	rm -rf cache
clean:
	rm -f *.pdf
	rm -f *.out
	rm -f *.aux
	rm -f *.log
	rm -f *.md
	rm -f *.rst
	rm -f *.tex
	rm -f *.html
	rm -rf figures
	rm -rf cache
