## python-pweave 0.25

=== debian/changelog ===
python-pweave (0.25-3) unstable; urgency=medium

  * Team Upload.
  * Update Test Depends (Closes: #962104)
  * compat version:13

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 21 Jun 2020 23:17:12 +0530

python-pweave (0.25-2) unstable; urgency=medium

  * Team Upload.
  * Update test dependencies
  * Fix pandoc flags by adding patch to upstream (Closes: #897103)
  * Update VCS URLs
  * Drop compat, switch to debhelper-compat version 12
  * Add upstream/metadata
  * Fix source URL
  * Bump standards version to 4.5.0
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 27 Feb 2020 10:27:21 +0530

python-pweave (0.25-1) unstable; urgency=low

  * Initial release. (Closes: #856176)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 10 Mar 2017 11:16:34 +0000
