=== debian/control ===
Source: python-pweave
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/python-pweave
Vcs-Git: https://salsa.debian.org/science-team/python-pweave.git
Homepage: http://mpastell.com/pweave/
Rules-Requires-Root: no

Package: python3-pweave
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ipython,
         python3-jupyter-client,
         python3-markdown,
         python3-nbconvert,
         python3-nbformat,
         python3-pygments
Suggests: pandoc,
          python3-docutils,
          texlive-latex-base
Description: scientific report generator for Python
 Pweave is a scientific report generator and a literate programming tool for
 Python. Pweave can capture the results and plots from data analysis and works
 well with NumPy, SciPy and matplotlib. It is able to run Python code from
 source document and include the results and capture matplotlib plots in the
 output.
