=== debian/tests/control ===
Test-Command: set -e
 ; cp debian/tests/examples/FIR_* "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing texw => tex => pdf:"
 ; pweave -f tex FIR_design_verb.texw
 ; pdflatex FIR_design_verb.tex
 ; echo "Testing rstw => rst => html:"
 ; pweave -f rst FIR_design.rstw
 ; rst2html FIR_design.rst FIR_design_rst.html
 ; echo "Testing mdw => html (via python-markdown):"
 ; pweave -f md2html FIR_design.mdw
 ; echo "Testing mdw => md => html (via pandoc):"
 ; pweave -f pandoc FIR_design.mdw
 ; pandoc -s --mathjax FIR_design.md -o FIR_design_pandoc.html
 ; echo "Testing mdw => tex => pdf:"
 ; pweave -f pandoc2latex FIR_design.mdw
 ; pdflatex FIR_design.tex
Depends: pandoc,
         python3-docutils,
         python3-matplotlib,
         python3-pweave,
         python3-scipy,
         texlive-fonts-recommended,
         texlive-latex-recommended,
         texlive-latex-extra
