## python-pweave 0.30.3

=== debian/changelog ===
python-pweave (0.30.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - works with scipy 1.10. Closes: #1029696.
  * Depends: python3-ipykernel
  * apply Depends: as Build-Depends:
  * skip failing tests (functionality seems fine, tests need to be made
    more robust)
  * run tests with pytest (allows skipping tests)
  * update debian/tests
    - skip pdflatex tests (xcolor `ansi-^^Mred' error)
    - allow stderr for warnings
  * debian patch fix_init.patch fixes init test of empty input.
    Closes: #982748
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Jan 2023 14:14:08 +0100

python-pweave (0.25-4) unstable; urgency=medium

  * Team upload.
  * Add a patch to adapt for deprecated API removals in Python-Markdown 3.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Jul 2022 13:52:52 +0300
