=== debian/control ===
--- 
+++ 
@@ -4,13 +4,22 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.5.0
+ dh-python,
+ python3-all,
+ python3-setuptools,
+ python3-ipython,
+ python3-ipykernel,
+ python3-jupyter-client,
+ python3-markdown,
+ python3-nbconvert,
+ python3-nbformat,
+ python3-pygments,
+ python3-pytest,
+ python3-matplotlib
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-pweave
 Vcs-Git: https://salsa.debian.org/science-team/python-pweave.git
-Homepage: http://mpastell.com/pweave/
+Homepage: https://mpastell.com/pweave/
 Rules-Requires-Root: no
 
 Package: python3-pweave
@@ -18,6 +27,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-ipython,
+         python3-ipykernel,
          python3-jupyter-client,
          python3-markdown,
          python3-nbconvert,
