=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 
 export PYBUILD_NAME = pweave
 
+export PYBUILD_TEST_ARGS = -k "not (testFormatters or test_publish or testFIR_FilterExampleTex or test_url)"
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
